MyGUI: MyGUI::EditBox Class Reference

MyGUI 3.2.2

Public Types | Public Member Functions | Static Public Member Functions | Data Fields | Protected Member Functions | Protected Attributes
MyGUI::EditBox Class Reference

EditBox properties.
Skin childs. EditBox widget description should be here. More...

`#include <MyGUI_EditBox.h>`

Inheritance diagram for MyGUI::EditBox:
[legend]

## Public Types
typedef RTTIBase | Base
typedef EditBox | RTTIBase
Public Types inherited from MyGUI::TextBox
typedef RTTIBase | Base
typedef TextBox | RTTIBase
Public Types inherited from MyGUI::Widget
typedef RTTIBase | Base
typedef Widget | RTTIBase
Public Types inherited from MyGUI::IObject
typedef IObject | RTTIBase

## Public Member Functions
virtual const std::string & | getTypeName () const
virtual bool | isType (const std::type_info &_type) const
template<typename Type >
bool | isType () const
| EditBox ()
void | setTextIntervalColour (size_t _start, size_t _count, const Colour &_colour)
size_t | getTextSelectionStart () const
size_t | getTextSelectionEnd () const
size_t | getTextSelectionLength () const
UString | getTextInterval (size_t _start, size_t _count)
void | setTextSelection (size_t _start, size_t _end)
void | deleteTextSelection ()
UString | getTextSelection ()
bool | isTextSelection () const
void | setTextSelectionColour (const Colour &_value)
void | setTextCursor (size_t _index)
size_t | getTextCursor () const
virtual void | setCaption (const UString &_value)
virtual const UString & | getCaption ()
void | setOnlyText (const UString &_value)
UString | getOnlyText ()
size_t | getTextLength () const
void | setOverflowToTheLeft (bool _value)
| Sets if surplus characters should push characters off the left side rather than ignored. More...
bool | getOverflowToTheLeft () const
| Returns true if surplus characters will be pushed off the left rather than ignored. More...
void | setMaxTextLength (size_t _value)
| Sets the max amount of text allowed in the edit field. More...
size_t | getMaxTextLength () const
| Gets the max amount of text allowed in the edit field. More...
void | insertText (const UString &_text, size_t _index=ITEM_NONE)
void | addText (const UString &_text)
void | eraseText (size_t _start, size_t _count=1)
void | setEditReadOnly (bool _value)
bool | getEditReadOnly () const
void | setEditPassword (bool _value)
bool | getEditPassword () const
void | setEditMultiLine (bool _value)
bool | getEditMultiLine () const
void | setEditStatic (bool _value)
bool | getEditStatic () const
void | setPasswordChar (Char _value)
void | setPasswordChar (const UString &_char)
Char | getPasswordChar () const
void | setEditWordWrap (bool _value)
bool | getEditWordWrap () const
void | setTabPrinting (bool _value)
bool | getTabPrinting () const
bool | getInvertSelected ()
void | setInvertSelected (bool _value)
virtual void | setPosition (const IntPoint &_value)
virtual void | setSize (const IntSize &_value)
virtual void | setCoord (const IntCoord &_value)
void | setPosition (int _left, int _top)
void | setSize (int _width, int _height)
void | setCoord (int _left, int _top, int _width, int _height)
void | setVisibleVScroll (bool _value)
bool | isVisibleVScroll () const
size_t | getVScrollRange () const
size_t | getVScrollPosition ()
void | setVScrollPosition (size_t _index)
void | setVisibleHScroll (bool _value)
bool | isVisibleHScroll () const
size_t | getHScrollRange () const
size_t | getHScrollPosition ()
void | setHScrollPosition (size_t _index)
virtual void | setFontName (const std::string &_value)
virtual void | setFontHeight (int _value)
virtual void | setTextAlign (Align _value)
virtual void | setTextColour (const Colour &_value)
virtual IntCoord | getTextRegion ()
virtual IntSize | getTextSize ()
virtual void | setTextShadowColour (const Colour &_value)
virtual void | setTextShadow (bool _value)
Public Member Functions inherited from MyGUI::TextBox
template<typename Type >
bool | isType () const
| TextBox ()
const std::string & | getFontName ()
int | getFontHeight ()
Align | getTextAlign ()
const Colour & | getTextColour ()
void | setCaptionWithReplacing (const std::string &_value)
const Colour & | getTextShadowColour ()
bool | getTextShadow ()
Public Member Functions inherited from MyGUI::Widget
template<typename Type >
bool | isType () const
| Widget ()
Widget * | createWidgetT (const std::string &_type, const std::string &_skin, const IntCoord &_coord, Align _align, const std::string &_name="")
Widget * | createWidgetT (const std::string &_type, const std::string &_skin, int _left, int _top, int _width, int _height, Align _align, const std::string &_name="")
Widget * | createWidgetRealT (const std::string &_type, const std::string &_skin, const FloatCoord &_coord, Align _align, const std::string &_name="")
Widget * | createWidgetRealT (const std::string &_type, const std::string &_skin, float _left, float _top, float _width, float _height, Align _align, const std::string &_name="")
template<typename T >
T * | createWidget (const std::string &_skin, const IntCoord &_coord, Align _align, const std::string &_name="")
template<typename T >
T * | createWidget (const std::string &_skin, int _left, int _top, int _width, int _height, Align _align, const std::string &_name="")
template<typename T >
T * | createWidgetReal (const std::string &_skin, const FloatCoord &_coord, Align _align, const std::string &_name="")
template<typename T >
T * | createWidgetReal (const std::string &_skin, float _left, float _top, float _width, float _height, Align _align, const std::string &_name="")
Widget * | createWidgetT (WidgetStyle _style, const std::string &_type, const std::string &_skin, const IntCoord &_coord, Align _align, const std::string &_layer="", const std::string &_name="")
template<typename T >
T * | createWidget (WidgetStyle _style, const std::string &_skin, const IntCoord &_coord, Align _align, const std::string &_layer="", const std::string &_name="")
void | setPosition (int _left, int _top)
void | setSize (int _width, int _height)
void | setCoord (int _left, int _top, int _width, int _height)
void | setRealPosition (const FloatPoint &_value)
void | setRealSize (const FloatSize &_value)
void | setRealCoord (const FloatCoord &_value)
void | setRealPosition (float _left, float _top)
void | setRealSize (float _width, float _height)
void | setRealCoord (float _left, float _top, float _width, float _height)
const std::string & | getName () const
| Get name of widget. More...
virtual void | setVisible (bool _value)
bool | getVisible () const
void | setDepth (int _value)
int | getDepth () const
bool | getInheritedVisible () const
virtual void | setAlign (Align _value)
Align | getAlign () const
void | setAlpha (float _value)
float | getAlpha () const
void | setInheritsAlpha (bool _value)
bool | getInheritsAlpha () const
void | setColour (const Colour &_value)
bool | isRootWidget () const
Widget * | getParent () const
IntSize | getParentSize () const
EnumeratorWidgetPtr | getEnumerator () const
size_t | getChildCount ()
Widget * | getChildAt (size_t _index)
Widget * | findWidget (const std::string &_name)
void | findWidgets (const std::string &_name, VectorWidgetPtr &_result)
virtual void | setEnabled (bool _value)
void | setEnabledSilent (bool _value)
bool | getEnabled () const
bool | getInheritedEnabled () const
IntCoord | getClientCoord ()
Widget * | getClientWidget ()
void | detachFromWidget (const std::string &_layer="")
void | attachToWidget (Widget *_parent, WidgetStyle _style=WidgetStyle::Child, const std::string &_layer="")
void | changeWidgetSkin (const std::string &_skinName)
void | setWidgetStyle (WidgetStyle _style, const std::string &_layer="")
WidgetStyle | getWidgetStyle () const
void | setProperty (const std::string &_key, const std::string &_value)
virtual size_t | _getItemIndex (Widget *_item)
void | _forcePick (Widget *_widget)
void | _initialise (WidgetStyle _style, const IntCoord &_coord, const std::string &_skinName, Widget *_parent, ICroppedRectangle *_croppedParent, const std::string &_name)
void | _shutdown ()
void | _destroyChildWidget (Widget *_widget)
void | _setContainer (Widget *_value)
Widget * | _getContainer ()
void | _setAlign (const IntSize &_oldsize, const IntSize &_newSize)
bool | _checkPoint (int _left, int _top) const
Widget * | _createSkinWidget (WidgetStyle _style, const std::string &_type, const std::string &_skin, const IntCoord &_coord, Align _align, const std::string &_layer="", const std::string &_name="")
virtual void | _resetContainer (bool _update)
bool | _setWidgetState (const std::string &_value)
void | _updateChilds ()
Public Member Functions inherited from MyGUI::IObject
template<typename Type >
bool | isType () const
template<typename Type >
Type * | castType (bool _throw=true)
template<typename Type >
const Type * | castType (bool _throw=true) const
| IObject ()
virtual | ~IObject ()
Public Member Functions inherited from MyGUI::ICroppedRectangle
| ICroppedRectangle ()
virtual | ~ICroppedRectangle ()
ICroppedRectangle * | getCroppedParent ()
IntPoint | getPosition () const
IntSize | getSize () const
const IntCoord & | getCoord () const
const IntPoint & | getAbsolutePosition () const
IntRect | getAbsoluteRect () const
IntCoord | getAbsoluteCoord () const
int | getAbsoluteLeft () const
int | getAbsoluteTop () const
int | getLeft () const
int | getRight () const
int | getTop () const
int | getBottom () const
int | getWidth () const
int | getHeight () const
bool | _isMargin () const
int | _getViewLeft () const
int | _getViewRight () const
int | _getViewTop () const
int | _getViewBottom () const
int | _getViewWidth () const
int | _getViewHeight () const
void | _setCroppedParent (ICroppedRectangle *_parent)
const IntRect & | _getMargin () const
int | _getMarginLeft () const
int | _getMarginRight () const
int | _getMarginTop () const
int | _getMarginBottom () const
Public Member Functions inherited from MyGUI::UserData
| UserData ()
virtual | ~UserData ()
void | setUserString (const std::string &_key, const std::string &_value)
const std::string & | getUserString (const std::string &_key) const
const MapString & | getUserStrings () const
bool | clearUserString (const std::string &_key)
bool | isUserString (const std::string &_key) const
void | clearUserStrings ()
void | setUserData (Any _data)
template<typename ValueType >
ValueType * | getUserData (bool _throw=true) const
void | _setInternalData (Any _data)
template<typename ValueType >
ValueType * | _getInternalData (bool _throw=true) const
Public Member Functions inherited from MyGUI::WidgetInput
| WidgetInput ()
virtual | ~WidgetInput ()
void | setNeedToolTip (bool _value)
bool | getNeedToolTip () const
void | setPointer (const std::string &_value)
const std::string & | getPointer () const
void | setNeedKeyFocus (bool _value)
bool | getNeedKeyFocus () const
void | setNeedMouseFocus (bool _value)
bool | getNeedMouseFocus () const
void | setInheritsPick (bool _value)
bool | getInheritsPick () const
void | setMaskPick (const std::string &_filename)
void | setMaskPick (const MaskPickInfo &_info)
bool | isMaskPickInside (const IntPoint &_point, const IntCoord &_coord) const
bool | getRootMouseFocus () const
bool | getRootKeyFocus () const
void | _riseMouseLostFocus (Widget *_new)
void | _riseMouseSetFocus (Widget *_old)
void | _riseMouseDrag (int _left, int _top, MouseButton _id)
void | _riseMouseMove (int _left, int _top)
void | _riseMouseWheel (int _rel)
void | _riseMouseButtonPressed (int _left, int _top, MouseButton _id)
void | _riseMouseButtonReleased (int _left, int _top, MouseButton _id)
void | _riseMouseButtonClick ()
void | _riseMouseButtonDoubleClick ()
void | _riseKeyLostFocus (Widget *_new)
void | _riseKeySetFocus (Widget *_old)
void | _riseKeyButtonPressed (KeyCode _key, Char _char)
void | _riseKeyButtonReleased (KeyCode _key)
void | _riseMouseChangeRootFocus (bool _focus)
void | _riseKeyChangeRootFocus (bool _focus)
void | _setRootMouseFocus (bool _value)
void | _setRootKeyFocus (bool _value)
Public Member Functions inherited from MyGUI::delegates::IDelegateUnlink
virtual | ~IDelegateUnlink ()
| IDelegateUnlink ()
bool | compare (IDelegateUnlink *_unlink) const
Public Member Functions inherited from MyGUI::SkinItem
| SkinItem ()
ISubWidgetText * | getSubWidgetText ()
ISubWidgetRect * | getSubWidgetMain ()
void | _setTextureName (const std::string &_texture)
const std::string & | _getTextureName () const
Public Member Functions inherited from MyGUI::LayerItem
| LayerItem ()
virtual | ~LayerItem ()
ILayer * | getLayer () const
ILayerNode * | getLayerNode () const
virtual void | attachItemToNode (ILayer *_layer, ILayerNode *_node)
virtual void | detachFromLayer ()
virtual void | upLayerItem ()
void | setRenderItemTexture (ITexture *_texture)
void | addChildItem (LayerItem *_item)
void | removeChildItem (LayerItem *_item)
void | addChildNode (LayerItem *_item)
void | removeChildNode (LayerItem *_item)
void | addRenderItem (ISubWidget *_item)
void | removeAllRenderItems ()
void | saveLayerItem ()
void | restoreLayerItem ()
Public Member Functions inherited from MyGUI::ILayerItem
virtual | ~ILayerItem ()
Public Member Functions inherited from MyGUI::MemberObsolete< Widget >
bool | isEnabled ()
bool | isInheritsAlpha ()
bool | isNeedKeyFocus ()
bool | isNeedMouseFocus ()
bool | isInheritsPick ()
bool | isVisible ()
Public Member Functions inherited from MyGUI::MemberObsolete< EditBox >
void | showVScroll (bool _visible)
bool | isShowVScroll ()
void | showHScroll (bool _visible)
bool | isShowHScroll ()
void | setTextColour (size_t _start, size_t _count, const Colour &_colour)
void | getTextSelect (size_t &_start, size_t &_end)
UString | getText (size_t _start, size_t _count)
void | setTextSelect (size_t _start, size_t _end)
void | deleteTextSelect ()
UString | getSelectedText ()
bool | isTextSelect ()
void | setTextSelectColour (const Colour &_colour)

## Static Public Member Functions
static const std::string & | getClassTypeName ()
Static Public Member Functions inherited from MyGUI::TextBox
static const std::string & | getClassTypeName ()
Static Public Member Functions inherited from MyGUI::Widget
static const std::string & | getClassTypeName ()
Static Public Member Functions inherited from MyGUI::IObject
static const std::string & | getClassTypeName ()

## Data Fields
EventPair< EventHandle_WidgetVoid, EventHandle_EditPtr > | eventEditSelectAccept
EventPair< EventHandle_WidgetVoid, EventHandle_EditPtr > | eventEditTextChange
Data Fields inherited from MyGUI::Widget
EventHandle_WidgetStringString | eventChangeProperty
EventHandle_WidgetVoid | eventChangeCoord
Data Fields inherited from MyGUI::WidgetInput
EventHandle_WidgetWidget | eventMouseLostFocus
EventHandle_WidgetWidget | eventMouseSetFocus
EventPairAddParameter< EventHandle_WidgetIntInt, EventHandle_WidgetIntIntButton > | eventMouseDrag
EventHandle_WidgetIntInt | eventMouseMove
EventHandle_WidgetInt | eventMouseWheel
EventHandle_WidgetIntIntButton | eventMouseButtonPressed
EventHandle_WidgetIntIntButton | eventMouseButtonReleased
EventHandle_WidgetVoid | eventMouseButtonClick
EventHandle_WidgetVoid | eventMouseButtonDoubleClick
EventHandle_WidgetWidget | eventKeyLostFocus
EventHandle_WidgetWidget | eventKeySetFocus
EventHandle_WidgetKeyCodeChar | eventKeyButtonPressed
EventHandle_WidgetKeyCode | eventKeyButtonReleased
EventHandle_WidgetBool | eventRootMouseChangeFocus
EventHandle_WidgetBool | eventRootKeyChangeFocus
EventHandle_WidgetToolTip | eventToolTip

## Protected Member Functions
virtual void | initialiseOverride ()
virtual void | shutdownOverride ()
virtual void | onMouseDrag (int _left, int _top, MouseButton _id)
virtual void | onKeyLostFocus (Widget *_new)
virtual void | onKeySetFocus (Widget *_old)
virtual void | onKeyButtonPressed (KeyCode _key, Char _char)
void | notifyMouseSetFocus (Widget *_sender, Widget *_old)
void | notifyMouseLostFocus (Widget *_sender, Widget *_new)
void | notifyMousePressed (Widget *_sender, int _left, int _top, MouseButton _id)
void | notifyMouseReleased (Widget *_sender, int _left, int _top, MouseButton _id)
void | notifyMouseDrag (Widget *_sender, int _left, int _top, MouseButton _id)
void | notifyMouseButtonDoubleClick (Widget *_sender)
void | notifyScrollChangePosition (ScrollBar *_sender, size_t _position)
void | notifyMouseWheel (Widget *_sender, int _rel)
void | updateView ()
void | updateViewWithCursor ()
void | eraseView ()
virtual void | setPropertyOverride (const std::string &_key, const std::string &_value)
Protected Member Functions inherited from MyGUI::Widget
virtual | ~Widget ()
void | _updateView ()
Widget * | baseCreateWidget (WidgetStyle _style, const std::string &_type, const std::string &_skin, const IntCoord &_coord, Align _align, const std::string &_layer, const std::string &_name, bool _template)
void | _destroyAllChildWidget ()
virtual size_t | _getContainerIndex (const IntPoint &_point)
virtual void | baseUpdateEnable ()
virtual ILayerItem * | getLayerItemByPoint (int _left, int _top) const
virtual const IntCoord & | getLayerItemCoord () const
template<typename T >
void | assignWidget (T *&_widget, const std::string &_name)
VectorWidgetPtr | getSkinWidgetsByName (const std::string &_name)
void | destroySkinWidget (Widget *_widget)
virtual void | onWidgetCreated (Widget *_widget)
virtual void | onWidgetDestroy (Widget *_widget)
void | setWidgetClient (Widget *_widget)
Protected Member Functions inherited from MyGUI::ICroppedRectangle
bool | _checkMargin ()
bool | _checkOutside () const
Protected Member Functions inherited from MyGUI::WidgetInput
virtual void | onMouseLostFocus (Widget *_new)
virtual void | onMouseSetFocus (Widget *_old)
virtual void | onMouseMove (int _left, int _top)
virtual void | onMouseWheel (int _rel)
virtual void | onMouseButtonPressed (int _left, int _top, MouseButton _id)
virtual void | onMouseButtonReleased (int _left, int _top, MouseButton _id)
virtual void | onMouseButtonClick ()
virtual void | onMouseButtonDoubleClick ()
virtual void | onKeyButtonReleased (KeyCode _key)
virtual void | onMouseChangeRootFocus (bool _focus)
virtual void | onKeyChangeRootFocus (bool _focus)
Protected Member Functions inherited from MyGUI::SkinItem
void | _createSkinItem (ResourceSkin *_info)
void | _deleteSkinItem ()
void | _setSkinItemAlign (const IntSize &_size)
void | _setSkinItemVisible (bool _value)
void | _setSkinItemColour (const Colour &_value)
void | _setSkinItemAlpha (float _value)
void | _correctSkinItemView ()
void | _updateSkinItemView ()
bool | _setSkinItemState (const std::string &_state)
void | _setSubSkinVisible (bool _visible)
Protected Member Functions inherited from MyGUI::LayerItem
void | attachToLayerItemNode (ILayerNode *_node, bool _deep)
void | detachFromLayerItemNode (bool _deep)
Protected Member Functions inherited from MyGUI::ScrollViewBase
| ScrollViewBase ()
virtual | ~ScrollViewBase ()
void | updateScrollSize ()
void | updateScrollPosition ()
virtual void | eraseContent ()

## Protected Attributes
bool | mIsPressed
bool | mIsFocus
bool | mCursorActive
float | mCursorTimer
float | mActionMouseTimer
size_t | mCursorPosition
size_t | mTextLength
size_t | mStartSelect
size_t | mEndSelect
DequeUndoRedoInfo | mVectorUndoChangeInfo
DequeUndoRedoInfo | mVectorRedoChangeInfo
bool | mMouseLeftPressed
bool | mModeReadOnly
bool | mModePassword
bool | mModeMultiline
bool | mModeStatic
bool | mModeWordWrap
bool | mTabPrinting
UString | mPasswordText
std::string | mOriginalPointer
Char | mCharPassword
bool | mOverflowToTheLeft
size_t | mMaxTextLength
ISubWidgetText * | mClientText
Protected Attributes inherited from MyGUI::ICroppedRectangle
IntRect | mMargin
IntCoord | mCoord
IntPoint | mAbsolutePosition
bool | mIsMargin
ICroppedRectangle * | mCroppedParent
Protected Attributes inherited from MyGUI::ScrollViewBase
ScrollBar * | mVScroll
ScrollBar * | mHScroll
Widget * | mClient
bool | mVisibleHScroll
bool | mVisibleVScroll
size_t | mVRange
size_t | mHRange
bool | mChangeContentByResize

## Detailed Description

EditBox properties.
Skin childs. EditBox widget description should be here.

Definition at line 25 of file MyGUI_EditBox.h.

## Member Typedef Documentation

## ◆ Base

typedef RTTIBase MyGUI::EditBox::Base

Definition at line 30 of file MyGUI_EditBox.h.

## ◆ RTTIBase

typedef EditBox MyGUI::EditBox::RTTIBase

Definition at line 30 of file MyGUI_EditBox.h.

## Constructor & Destructor Documentation

## ◆ EditBox()

MyGUI::EditBox::EditBox | ( |  | ) |

Definition at line 34 of file MyGUI_EditBox.cpp.

## Member Function Documentation

## ◆ addText()

void MyGUI::EditBox::addText | ( | const UString & | _text | ) |

Add text

Definition at line 1910 of file MyGUI_EditBox.cpp.

## ◆ deleteTextSelection()

void MyGUI::EditBox::deleteTextSelection | ( |  | ) |

Delete selected text

Definition at line 1880 of file MyGUI_EditBox.cpp.

## ◆ eraseText()

void MyGUI::EditBox::eraseText | ( | size_t | _start,
|  | size_t | _count = `1`
| ) |  |

Erase _count characters from _start position

Definition at line 1915 of file MyGUI_EditBox.cpp.

## ◆ eraseView()

void MyGUI::EditBox::eraseView | ( |  | ) |
| protected

Definition at line 1525 of file MyGUI_EditBox.cpp.

## ◆ getCaption()

const UString & MyGUI::EditBox::getCaption | ( |  | ) |
| virtual

Get edit text with tags

Reimplemented from MyGUI::TextBox.

Definition at line 1556 of file MyGUI_EditBox.cpp.

## ◆ getClassTypeName()

static const std::string& MyGUI::EditBox::getClassTypeName | ( |  | ) |
| inlinestatic

Definition at line 30 of file MyGUI_EditBox.h.

## ◆ getEditMultiLine()

bool MyGUI::EditBox::getEditMultiLine | ( |  | ) | const

Get edit multiline mode flag

Definition at line 2148 of file MyGUI_EditBox.cpp.

## ◆ getEditPassword()

bool MyGUI::EditBox::getEditPassword | ( |  | ) | const

Get edit password mode flag

Definition at line 2143 of file MyGUI_EditBox.cpp.

## ◆ getEditReadOnly()

bool MyGUI::EditBox::getEditReadOnly | ( |  | ) | const

Get edit read only mode flag

Definition at line 2138 of file MyGUI_EditBox.cpp.

## ◆ getEditStatic()

bool MyGUI::EditBox::getEditStatic | ( |  | ) | const

Get edit static mode flag

Definition at line 2153 of file MyGUI_EditBox.cpp.

## ◆ getEditWordWrap()

bool MyGUI::EditBox::getEditWordWrap | ( |  | ) | const

Get edit word wrap mode flag

Definition at line 2163 of file MyGUI_EditBox.cpp.

## ◆ getHScrollPosition()

size_t MyGUI::EditBox::getHScrollPosition | ( |  | ) |

Get current position of horizontal scroll (or 0 if no scroll)

Definition at line 2008 of file MyGUI_EditBox.cpp.

## ◆ getHScrollRange()

size_t MyGUI::EditBox::getHScrollRange | ( |  | ) | const

Get range of horizontal scroll (or 0 if no scroll). Range measured in pixels (full text width minus EditBox width). For example if EditBox is 200 pixels width and the longest line is 600 pixels width, then return value is 400 ( = 600 - 200 ).

Definition at line 2003 of file MyGUI_EditBox.cpp.

## ◆ getInvertSelected()

bool MyGUI::EditBox::getInvertSelected | ( |  | ) |

Get invert selected text color property

Definition at line 2030 of file MyGUI_EditBox.cpp.

## ◆ getMaxTextLength()

size_t MyGUI::EditBox::getMaxTextLength | ( |  | ) | const

Gets the max amount of text allowed in the edit field.

Definition at line 2133 of file MyGUI_EditBox.cpp.

## ◆ getOnlyText()

UString MyGUI::EditBox::getOnlyText | ( |  | ) |

Get edit text without tags

Definition at line 1900 of file MyGUI_EditBox.cpp.

## ◆ getOverflowToTheLeft()

bool MyGUI::EditBox::getOverflowToTheLeft | ( |  | ) | const

Returns true if surplus characters will be pushed off the left rather than ignored.

Definition at line 2123 of file MyGUI_EditBox.cpp.

## ◆ getPasswordChar()

Char MyGUI::EditBox::getPasswordChar | ( |  | ) | const

Get edit password character

Definition at line 2158 of file MyGUI_EditBox.cpp.

## ◆ getTabPrinting()

bool MyGUI::EditBox::getTabPrinting | ( |  | ) | const

Get edit tab printing wrap mode flag

Definition at line 2173 of file MyGUI_EditBox.cpp.

## ◆ getTextCursor()

size_t MyGUI::EditBox::getTextCursor | ( |  | ) | const

Get text cursor position

Definition at line 2108 of file MyGUI_EditBox.cpp.

## ◆ getTextInterval()

UString MyGUI::EditBox::getTextInterval | ( | size_t | _start,
|  | size_t | _count
| ) |  |

Get _count characters with tags from _start position

Definition at line 1009 of file MyGUI_EditBox.cpp.

## ◆ getTextLength()

size_t MyGUI::EditBox::getTextLength | ( |  | ) | const

Get text length excluding tags For example "Hello" length is 5 and "#00FF00Hello!" length is 6

Definition at line 2113 of file MyGUI_EditBox.cpp.

## ◆ getTextRegion()

IntCoord MyGUI::EditBox::getTextRegion | ( |  | ) |
| virtual

Get text region coordinate

Reimplemented from MyGUI::TextBox.

Definition at line 1611 of file MyGUI_EditBox.cpp.

## ◆ getTextSelection()

UString MyGUI::EditBox::getTextSelection | ( |  | ) |

Get selected text

Definition at line 1137 of file MyGUI_EditBox.cpp.

## ◆ getTextSelectionEnd()

size_t MyGUI::EditBox::getTextSelectionEnd | ( |  | ) | const

Get index of last selected character or ITEM_NONE if nothing selected

Definition at line 1870 of file MyGUI_EditBox.cpp.

## ◆ getTextSelectionLength()

size_t MyGUI::EditBox::getTextSelectionLength | ( |  | ) | const

Get length of selected text

Definition at line 1890 of file MyGUI_EditBox.cpp.

## ◆ getTextSelectionStart()

size_t MyGUI::EditBox::getTextSelectionStart | ( |  | ) | const

Get index of first selected character or ITEM_NONE if nothing selected

Definition at line 1865 of file MyGUI_EditBox.cpp.

## ◆ getTextSize()

IntSize MyGUI::EditBox::getTextSize | ( |  | ) |
| virtual

Get text region size

Reimplemented from MyGUI::TextBox.

Definition at line 1618 of file MyGUI_EditBox.cpp.

## ◆ getTypeName()

virtual const std::string& MyGUI::EditBox::getTypeName | ( |  | ) | const
| inlinevirtual

Get type name as string

Reimplemented from MyGUI::TextBox.

Reimplemented in MyGUI::ComboBox.

Definition at line 30 of file MyGUI_EditBox.h.

## ◆ getVScrollPosition()

size_t MyGUI::EditBox::getVScrollPosition | ( |  | ) |

Get current position of vertical scroll (or 0 if no scroll)

Definition at line 1981 of file MyGUI_EditBox.cpp.

## ◆ getVScrollRange()

size_t MyGUI::EditBox::getVScrollRange | ( |  | ) | const

Get range of vertical scroll (or 0 if no scroll). Range measured in pixels (full text heiht minus EditBox height). For example if EditBox is 200 pixels height and 40 lines of text 30 pixels height each (i.e. 600 pixels total), then return value is 400 ( = 600 - 200 ).

Definition at line 1976 of file MyGUI_EditBox.cpp.

## ◆ initialiseOverride()

void MyGUI::EditBox::initialiseOverride | ( |  | ) |
| protectedvirtual

skin clilds:
  Client is child widget with type Widget. Клиентская зона.

skin clilds:
  VScroll is child widget with type ScrollBar. Вертикальная полоса прокрутки.

skin clilds:
  HScroll is child widget with type ScrollBar. Горизонтальная полоса прокрутки.

Reimplemented from MyGUI::Widget.

Reimplemented in MyGUI::ComboBox.

Definition at line 59 of file MyGUI_EditBox.cpp.

## ◆ insertText()

void MyGUI::EditBox::insertText | ( | const UString & | _text,
|  | size_t | _index = `ITEM_NONE`
| ) |  |

Inser text at _index position (text end by default)

Definition at line 1905 of file MyGUI_EditBox.cpp.

## ◆ isTextSelection()

bool MyGUI::EditBox::isTextSelection | ( |  | ) | const

Is any text selected

Definition at line 1875 of file MyGUI_EditBox.cpp.

## ◆ isType() [1/2]

template<typename Type >

bool MyGUI::EditBox::isType | ( |  | ) | const
| inline

Compare with selected type

Definition at line 30 of file MyGUI_EditBox.h.

## ◆ isType() [2/2]

virtual bool MyGUI::EditBox::isType | ( | const std::type_info & | _type | ) | const
| inlinevirtual

Compare with selected type

Reimplemented from MyGUI::TextBox.

Reimplemented in MyGUI::ComboBox.

Definition at line 30 of file MyGUI_EditBox.h.

## ◆ isVisibleHScroll()

bool MyGUI::EditBox::isVisibleHScroll | ( |  | ) | const

Get Show HScroll flag

Definition at line 2198 of file MyGUI_EditBox.cpp.

## ◆ isVisibleVScroll()

bool MyGUI::EditBox::isVisibleVScroll | ( |  | ) | const

Get Show VScroll flag

Definition at line 2193 of file MyGUI_EditBox.cpp.

## ◆ notifyMouseButtonDoubleClick()

void MyGUI::EditBox::notifyMouseButtonDoubleClick | ( | Widget * | _sender | ) |
| protected

Definition at line 207 of file MyGUI_EditBox.cpp.

## ◆ notifyMouseDrag()

void MyGUI::EditBox::notifyMouseDrag | ( | Widget * | _sender,
|  | int | _left,
|  | int | _top,
|  | MouseButton | _id
| ) |  |
| protected

Definition at line 167 of file MyGUI_EditBox.cpp.

## ◆ notifyMouseLostFocus()

void MyGUI::EditBox::notifyMouseLostFocus | ( | Widget * | _sender,
|  | Widget * | _new
| ) |  |
| protected

Definition at line 132 of file MyGUI_EditBox.cpp.

## ◆ notifyMousePressed()

void MyGUI::EditBox::notifyMousePressed | ( | Widget * | _sender,
|  | int | _left,
|  | int | _top,
|  | MouseButton | _id
| ) |  |
| protected

Definition at line 141 of file MyGUI_EditBox.cpp.

## ◆ notifyMouseReleased()

void MyGUI::EditBox::notifyMouseReleased | ( | Widget * | _sender,
|  | int | _left,
|  | int | _top,
|  | MouseButton | _id
| ) |  |
| protected

Definition at line 161 of file MyGUI_EditBox.cpp.

## ◆ notifyMouseSetFocus()

void MyGUI::EditBox::notifyMouseSetFocus | ( | Widget * | _sender,
|  | Widget * | _old
| ) |  |
| protected

Definition at line 123 of file MyGUI_EditBox.cpp.

## ◆ notifyMouseWheel()

void MyGUI::EditBox::notifyMouseWheel | ( | Widget * | _sender,
|  | int | _rel
| ) |  |
| protected

Definition at line 1644 of file MyGUI_EditBox.cpp.

## ◆ notifyScrollChangePosition()

void MyGUI::EditBox::notifyScrollChangePosition | ( | ScrollBar * | _sender,
|  | size_t | _position
| ) |  |
| protected

Definition at line 1625 of file MyGUI_EditBox.cpp.

## ◆ onKeyButtonPressed()

void MyGUI::EditBox::onKeyButtonPressed | ( | KeyCode | _key,
|  | Char | _char
| ) |  |
| protectedvirtual

Reimplemented from MyGUI::WidgetInput.

Reimplemented in MyGUI::ComboBox.

Definition at line 294 of file MyGUI_EditBox.cpp.

## ◆ onKeyLostFocus()

void MyGUI::EditBox::onKeyLostFocus | ( | Widget * | _new | ) |
| protectedvirtual

Reimplemented from MyGUI::WidgetInput.

Definition at line 275 of file MyGUI_EditBox.cpp.

## ◆ onKeySetFocus()

void MyGUI::EditBox::onKeySetFocus | ( | Widget * | _old | ) |
| protectedvirtual

Reimplemented from MyGUI::WidgetInput.

Definition at line 252 of file MyGUI_EditBox.cpp.

## ◆ onMouseDrag()

void MyGUI::EditBox::onMouseDrag | ( | int | _left,
|  | int | _top,
|  | MouseButton | _id
| ) |  |
| protectedvirtual

Reimplemented from MyGUI::WidgetInput.

Definition at line 245 of file MyGUI_EditBox.cpp.

## ◆ setCaption()

void MyGUI::EditBox::setCaption | ( | const UString & | _value | ) |
| virtual

Set edit text applying tags

Reimplemented from MyGUI::TextBox.

Definition at line 1551 of file MyGUI_EditBox.cpp.

## ◆ setCoord() [1/2]

void MyGUI::EditBox::setCoord | ( | const IntCoord & | _value | ) |
| virtual

Set widget position and size

Reimplemented from MyGUI::Widget.

Definition at line 1544 of file MyGUI_EditBox.cpp.

## ◆ setCoord() [2/2]

void MyGUI::EditBox::setCoord | ( | int | _left,
|  | int | _top,
|  | int | _width,
|  | int | _height
| ) |  |

See Widget::setCoord(const IntCoord& _coord)

Definition at line 2188 of file MyGUI_EditBox.cpp.

## ◆ setEditMultiLine()

void MyGUI::EditBox::setEditMultiLine | ( | bool | _value | ) |

Enable or disable edit multiline mode
Multile mode: new line character moves text to new line.
Otherwise new lines replaced with space and all text is in single line.
Disabled (false) by default.

Definition at line 1927 of file MyGUI_EditBox.cpp.

## ◆ setEditPassword()

void MyGUI::EditBox::setEditPassword | ( | bool | _value | ) |

Enable or disable edit password mode
Password mode: you see password chars (*** by default) instead text.
Disabled (false) by default.

Definition at line 1146 of file MyGUI_EditBox.cpp.

## ◆ setEditReadOnly()

void MyGUI::EditBox::setEditReadOnly | ( | bool | _value | ) |

Enable or disable edit read only mode
Read only mode: you can't edit text, but can select it.
Disabled (false) by default.

Definition at line 1920 of file MyGUI_EditBox.cpp.

## ◆ setEditStatic()

void MyGUI::EditBox::setEditStatic | ( | bool | _value | ) |

Enable or disable edit static mode
Static mode is same as read only, but you also can't select text.
Disabled (false) by default.

Definition at line 1944 of file MyGUI_EditBox.cpp.

## ◆ setEditWordWrap()

void MyGUI::EditBox::setEditWordWrap | ( | bool | _value | ) |

Enable or disable edit word wrap mode
Word Wrap mode: move words to new line if they goes out of width. Also in this mode you can't edit or select text.
Disabled (false) by default.

Definition at line 1695 of file MyGUI_EditBox.cpp.

## ◆ setFontHeight()

void MyGUI::EditBox::setFontHeight | ( | int | _value | ) |
| virtual

Set widget text font height

Reimplemented from MyGUI::TextBox.

Definition at line 1714 of file MyGUI_EditBox.cpp.

## ◆ setFontName()

void MyGUI::EditBox::setFontName | ( | const std::string & | _value | ) |
| virtual

Set widget text font

Reimplemented from MyGUI::TextBox.

Definition at line 1704 of file MyGUI_EditBox.cpp.

## ◆ setHScrollPosition()

void MyGUI::EditBox::setHScrollPosition | ( | size_t | _index | ) |

Set current position of horizontal scroll

Definition at line 2013 of file MyGUI_EditBox.cpp.

## ◆ setInvertSelected()

void MyGUI::EditBox::setInvertSelected | ( | bool | _value | ) |

Enable or disable inverting color of selected text
Enabled (true) by default

Definition at line 2035 of file MyGUI_EditBox.cpp.

## ◆ setMaxTextLength()

void MyGUI::EditBox::setMaxTextLength | ( | size_t | _value | ) |

Sets the max amount of text allowed in the edit field.

Definition at line 2128 of file MyGUI_EditBox.cpp.

## ◆ setOnlyText()

void MyGUI::EditBox::setOnlyText | ( | const UString & | _value | ) |

Set edit text without tags

Definition at line 1895 of file MyGUI_EditBox.cpp.

## ◆ setOverflowToTheLeft()

void MyGUI::EditBox::setOverflowToTheLeft | ( | bool | _value | ) |

Sets if surplus characters should push characters off the left side rather than ignored.

Definition at line 2118 of file MyGUI_EditBox.cpp.

## ◆ setPasswordChar() [1/2]

void MyGUI::EditBox::setPasswordChar | ( | Char | _value | ) |

Set edit password character ('*' by default)

Definition at line 1487 of file MyGUI_EditBox.cpp.

## ◆ setPasswordChar() [2/2]

void MyGUI::EditBox::setPasswordChar | ( | const UString & | _char | ) |

Set edit password character ('*' by default). First character of string used.

Definition at line 1958 of file MyGUI_EditBox.cpp.

## ◆ setPosition() [1/2]

void MyGUI::EditBox::setPosition | ( | const IntPoint & | _value | ) |
| virtual

Set widget position (position of left top corner)

Reimplemented from MyGUI::Widget.

Definition at line 1520 of file MyGUI_EditBox.cpp.

## ◆ setPosition() [2/2]

void MyGUI::EditBox::setPosition | ( | int | _left,
|  | int | _top
| ) |  |

See Widget::setPosition(const IntPoint& _pos)

Definition at line 2178 of file MyGUI_EditBox.cpp.

## ◆ setPropertyOverride()

void MyGUI::EditBox::setPropertyOverride | ( | const std::string & | _key,
|  | const std::string & | _value
| ) |  |
| protectedvirtual

Properties:
  CursorPosition is EditBox property with type size_t.
  Позиция курсора.

Properties:
  TextSelect is EditBox property with type size_t size_t.
  Выделение текста.

Properties:
  ReadOnly is EditBox property with type bool.
  Режим только для чтения, в этом режиме нельзя изменять текст но которовать можно.

Properties:
  Password is EditBox property with type bool.
  Режим ввода пароля, все символы заменяются на звездочки или другие указаные символы.

Properties:
  MultiLine is EditBox property with type bool.
  Режим много строчного ввода.

Properties:
  PasswordChar is EditBox property with type string.
  Символ для замены в режиме пароля.

Properties:
  MaxTextLength is EditBox property with type size_t.
  Максимальное длина текста.

Properties:
  OverflowToTheLeft is EditBox property with type bool.
  Режим обрезки текста в начале, после того как его колличество достигает максимального значения.

Properties:
  Static is EditBox property with type bool.
  Статический режим, поле ввода никак не реагирует на пользовательский ввод.

Properties:
  VisibleVScroll is EditBox property with type bool.
  Видимость вертикальной полосы прокрутки.

Properties:
  VisibleHScroll is EditBox property with type bool.
  Видимость горизонтальной полосы прокрутки.

Properties:
  WordWrap is EditBox property with type bool.
  Режим переноса по словам.

Properties:
  TabPrinting is EditBox property with type bool.
  Воспринимать нажатие на Tab как символ табуляции.

Properties:
  InvertSelected is EditBox property with type bool.
  При выделении цвета инвертируются.

Reimplemented from MyGUI::TextBox.

Reimplemented in MyGUI::ComboBox.

Definition at line 2041 of file MyGUI_EditBox.cpp.

## ◆ setSize() [1/2]

void MyGUI::EditBox::setSize | ( | const IntSize & | _value | ) |
| virtual

Set widget size

Reimplemented from MyGUI::Widget.

Definition at line 1537 of file MyGUI_EditBox.cpp.

## ◆ setSize() [2/2]

void MyGUI::EditBox::setSize | ( | int | _width,
|  | int | _height
| ) |  |

See Widget::setSize(const IntSize& _size)

Definition at line 2183 of file MyGUI_EditBox.cpp.

## ◆ setTabPrinting()

void MyGUI::EditBox::setTabPrinting | ( | bool | _value | ) |

Enable or disable tab printing mode
Tab printing mode: when editing text and pressing Tab key it displayed. If this mode disabled Tab key ignored.
Disabled (false) by default.

Definition at line 2168 of file MyGUI_EditBox.cpp.

## ◆ setTextAlign()

void MyGUI::EditBox::setTextAlign | ( | Align | _value | ) |
| virtual

Set widget text align

Reimplemented from MyGUI::TextBox.

Definition at line 1592 of file MyGUI_EditBox.cpp.

## ◆ setTextColour()

void MyGUI::EditBox::setTextColour | ( | const Colour & | _value | ) |
| virtual

Set widget text colour

Reimplemented from MyGUI::TextBox.

Definition at line 1603 of file MyGUI_EditBox.cpp.

## ◆ setTextCursor()

void MyGUI::EditBox::setTextCursor | ( | size_t | _index | ) |

Set text cursor position

Definition at line 807 of file MyGUI_EditBox.cpp.

## ◆ setTextIntervalColour()

void MyGUI::EditBox::setTextIntervalColour | ( | size_t | _start,
|  | size_t | _count,
|  | const Colour & | _colour
| ) |  |

Colour interval

Definition at line 1860 of file MyGUI_EditBox.cpp.

## ◆ setTextSelection()

void MyGUI::EditBox::setTextSelection | ( | size_t | _start,
|  | size_t | _end
| ) |  |

Set selected text interval

Parameters

  _start | of interval
  _end | of interval

Definition at line 828 of file MyGUI_EditBox.cpp.

## ◆ setTextSelectionColour()

void MyGUI::EditBox::setTextSelectionColour | ( | const Colour & | _value | ) |

Colour selected text

Definition at line 1885 of file MyGUI_EditBox.cpp.

## ◆ setTextShadow()

void MyGUI::EditBox::setTextShadow | ( | bool | _value | ) |
| virtual

Set widget text shadow

Reimplemented from MyGUI::TextBox.

Definition at line 2222 of file MyGUI_EditBox.cpp.

## ◆ setTextShadowColour()

void MyGUI::EditBox::setTextShadowColour | ( | const Colour & | _value | ) |
| virtual

Set widget text shadow colour

Reimplemented from MyGUI::TextBox.

Definition at line 2214 of file MyGUI_EditBox.cpp.

## ◆ setVisibleHScroll()

void MyGUI::EditBox::setVisibleHScroll | ( | bool | _value | ) |

Show HScroll when text size larger than EditBox

Definition at line 1970 of file MyGUI_EditBox.cpp.

## ◆ setVisibleVScroll()

void MyGUI::EditBox::setVisibleVScroll | ( | bool | _value | ) |

Show VScroll when text size larger than EditBox

Definition at line 1964 of file MyGUI_EditBox.cpp.

## ◆ setVScrollPosition()

void MyGUI::EditBox::setVScrollPosition | ( | size_t | _index | ) |

Set current position of vertical scroll

Definition at line 1986 of file MyGUI_EditBox.cpp.

## ◆ shutdownOverride()

void MyGUI::EditBox::shutdownOverride | ( |  | ) |
| protectedvirtual

Reimplemented from MyGUI::Widget.

Reimplemented in MyGUI::ComboBox.

Definition at line 113 of file MyGUI_EditBox.cpp.

## ◆ updateView()

void MyGUI::EditBox::updateView | ( |  | ) |
| protected

Definition at line 1724 of file MyGUI_EditBox.cpp.

## ◆ updateViewWithCursor()

void MyGUI::EditBox::updateViewWithCursor | ( |  | ) |
| protected

Definition at line 1730 of file MyGUI_EditBox.cpp.

## Field Documentation

## ◆ eventEditSelectAccept

EventPair<EventHandle_WidgetVoid, EventHandle_EditPtr> MyGUI::EditBox::eventEditSelectAccept

Event : Enter pressed (Ctrl+enter in multiline mode).
signature : void method(MyGUI::EditBox* _sender)

Parameters

  _sender | widget that called this event

Definition at line 246 of file MyGUI_EditBox.h.

## ◆ eventEditTextChange

EventPair<EventHandle_WidgetVoid, EventHandle_EditPtr> MyGUI::EditBox::eventEditTextChange

Event : Text changed.
signature : void method(MyGUI::EditBox* _sender)

Parameters

  _sender | widget that called this event

Definition at line 252 of file MyGUI_EditBox.h.

## ◆ mActionMouseTimer

float MyGUI::EditBox::mActionMouseTimer
| protected

Definition at line 350 of file MyGUI_EditBox.h.

## ◆ mCharPassword

Char MyGUI::EditBox::mCharPassword
| protected

Definition at line 381 of file MyGUI_EditBox.h.

## ◆ mClientText

ISubWidgetText* MyGUI::EditBox::mClientText
| protected

Definition at line 386 of file MyGUI_EditBox.h.

## ◆ mCursorActive

bool MyGUI::EditBox::mCursorActive
| protected

Definition at line 348 of file MyGUI_EditBox.h.

## ◆ mCursorPosition

size_t MyGUI::EditBox::mCursorPosition
| protected

Definition at line 353 of file MyGUI_EditBox.h.

## ◆ mCursorTimer

float MyGUI::EditBox::mCursorTimer
| protected

Definition at line 349 of file MyGUI_EditBox.h.

## ◆ mEndSelect

size_t MyGUI::EditBox::mEndSelect
| protected

Definition at line 359 of file MyGUI_EditBox.h.

## ◆ mIsFocus

bool MyGUI::EditBox::mIsFocus
| protected

Definition at line 346 of file MyGUI_EditBox.h.

## ◆ mIsPressed

bool MyGUI::EditBox::mIsPressed
| protected

Definition at line 344 of file MyGUI_EditBox.h.

## ◆ mMaxTextLength

size_t MyGUI::EditBox::mMaxTextLength
| protected

Definition at line 384 of file MyGUI_EditBox.h.

## ◆ mModeMultiline

bool MyGUI::EditBox::mModeMultiline
| protected

Definition at line 369 of file MyGUI_EditBox.h.

## ◆ mModePassword

bool MyGUI::EditBox::mModePassword
| protected

Definition at line 368 of file MyGUI_EditBox.h.

## ◆ mModeReadOnly

bool MyGUI::EditBox::mModeReadOnly
| protected

Definition at line 367 of file MyGUI_EditBox.h.

## ◆ mModeStatic

bool MyGUI::EditBox::mModeStatic
| protected

Definition at line 370 of file MyGUI_EditBox.h.

## ◆ mModeWordWrap

bool MyGUI::EditBox::mModeWordWrap
| protected

Definition at line 371 of file MyGUI_EditBox.h.

## ◆ mMouseLeftPressed

bool MyGUI::EditBox::mMouseLeftPressed
| protected

Definition at line 365 of file MyGUI_EditBox.h.

## ◆ mOriginalPointer

std::string MyGUI::EditBox::mOriginalPointer
| protected

Definition at line 379 of file MyGUI_EditBox.h.

## ◆ mOverflowToTheLeft

bool MyGUI::EditBox::mOverflowToTheLeft
| protected

Definition at line 383 of file MyGUI_EditBox.h.

## ◆ mPasswordText

UString MyGUI::EditBox::mPasswordText
| protected

Definition at line 376 of file MyGUI_EditBox.h.

## ◆ mStartSelect

size_t MyGUI::EditBox::mStartSelect
| protected

Definition at line 358 of file MyGUI_EditBox.h.

## ◆ mTabPrinting

bool MyGUI::EditBox::mTabPrinting
| protected

Definition at line 373 of file MyGUI_EditBox.h.

## ◆ mTextLength

size_t MyGUI::EditBox::mTextLength
| protected

Definition at line 355 of file MyGUI_EditBox.h.

## ◆ mVectorRedoChangeInfo

DequeUndoRedoInfo MyGUI::EditBox::mVectorRedoChangeInfo
| protected

Definition at line 363 of file MyGUI_EditBox.h.

## ◆ mVectorUndoChangeInfo

DequeUndoRedoInfo MyGUI::EditBox::mVectorUndoChangeInfo
| protected

Definition at line 362 of file MyGUI_EditBox.h.

The documentation for this class was generated from the following files:

- MyGUI_EditBox.h
- MyGUI_EditBox.cpp